Status: Rozwigzany Start date: 2017-06-19
Priority: Normalny Due date:

Assignee: Michat Komar % Done: 100%

Category: ui Estimated time: 0.00 hour

Target version: 0.3

Developer: Michat Komar Tester: Monika Maksymiuk
Description

W obecnej chwili lokalizacja aplikaciji jest procesem bardzo ztozonym i pracochtonnym. Nalezy nieco zautomatyzowaé proces poprzez
wykorzystanie narzedzi xlf-extract i xlf-translate, ktére pozwolg na wydzielenie ttumaczen do plikéw yml-owych.

Associated revisions

Revision 2dae5f57 - 2017-06-19 12:29 - Michat Komar

refs #1736: Skonfigurowanie translate

Revision bc52faaa - 2017-06-19 12:48 - Michat Komar

refs #1736: Zmiana kolejnosci w i18n-full

Revision 80f50af8 - 2017-06-19 12:54 - Michat Komar

refs #1736: Synchroniczne wotanie extract zamiast rownolegtego

History

#1 - 2017-06-19 12:55 - Michat Komar

- Status changed from Nowy to Testowanie

- Assignee changed from Michat Komar to Monika Maksymiuk
- % Done changed from 0 to 100

- Tester Monika Maksymiuk added

Dodawanie lokalizacji poprawione.
W celu weryfikacji nalezy:

1. Doda¢ w dowolnym miejscu nowe ttumaczenie i18n w postaci: i18n="klucz|opis". Wprowadzenie klucza i opisu jest konieczne !!!

. Utworzyé nowy plik messages.xIf za pomocg yarn i18n

. Natozy¢ jezyk na nowe pliki (i18n-translate)

N o o0~ WD

. W aplikacji powinny sig znalez¢ zlokalizowane wpisy

Operacje z pkt 2-5 mozna wykonaé za pomoca skryptu i18n-full.

. Skopiowa¢ wygenerowany plik w miejsce messages.pl.xlf i messages.en.xlf (yarn i18n-copy)

. Odtworzy¢ pliki en.yml i pl.yml z messages.*.xIf za pomoca (yarn i18n-extract)

. W plikach *.yml powinny znajdowac si¢ nowe wpisy, ktére nalezy przettumaczy¢ i uruchomic¢ i18n-translate

Przed uruchomieniem i18n-full nalezy wyczyscié¢ plik theme.scss bo generator ma z nim problemy, po zakonczeniu ttumaczenia trzeba go
przywrocic

#2 - 2017-06-23 12:45 - Monika Maksymiuk
- Status changed from Testowanie to Rozwigzany

#3 - 2017-06-27 08:33 - Monika Maksymiuk
- Assignee changed from Monika Maksymiuk to Michat Komar
